Installer les paquets BLAS et LAPACK

26

Comment installer BLAS & amp; LAPACK dans Ubuntu 14.04? Lorsque j'essaie d'installer ces packages avec apt-get install BLAS :

Error occurred  
Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    
posée Jeetu Donderiya 14.05.2015 - 13:16
la source

4 réponses

43

Il y a une faute de frappe dans la réponse de @ Maythux: il ne devrait y avoir aucun e dans liblapacke .

Un ensemble plus minimaliste de paquets peut être installé avec:

sudo apt-get install libblas-dev liblapack-dev

De plus, si vous les installez pour que scipy s'installe avec pip , ce ne sera peut-être pas la solution complète (j'ai échoué à utiliser pip install scipy dans un système d'architecture ARM Ubuntu 14.04). J'ai trouvé le succès avec apt-get install python-scipy , mais c'était une version plus ancienne (0.13.3). Si vous avez besoin d'une version plus récente via pip , vous pouvez également avoir besoin de:

sudo apt-get install gfortran

J'ai trouvé cette information sur StackOverflow ici

    
réponse donnée hamx0r 19.02.2016 - 16:04
la source
6

Pour résoudre le problème de verrouillage du répertoire administrateur, recherchez des processus.

sudo rm /var/lib/apt/lists/lock
sudo apt-get update

Ensuite, essayez les commandes à installer

sudo apt-get install libblas-dev checkinstall
sudo apt-get install libblas-doc checkinstall
sudo apt-get install liblapacke-dev checkinstall
sudo apt-get install liblapack-doc checkinstall
    
réponse donnée Maythux 14.05.2015 - 13:17
la source
5

Dans mon cas, la solution est

sudo apt-get install libatlas-base-dev
    
réponse donnée KyungHoon Kim 31.10.2016 - 01:53
la source
-1

J'ai rencontré le même problème et j'ai trouvé que je devais supprimer le verrou de l'archive en premier

sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock

alors j'ai appliqué ces commandes

sudo apt-get install libblas-dev checkinstall
sudo apt-get install libblas-doc checkinstall
sudo apt-get install liblapacke-dev checkinstall
sudo apt-get install liblapack-doc checkinstall

ça marche bien

    
réponse donnée AsmaaMohammed 31.03.2018 - 03:41
la source

Lire d'autres questions sur les étiquettes